安装了matplotlib模块后,使用时提示错误

AttributeError: module 'matplotlib' has no attribute 'verbose'

经过查询发现是因为最新版本的matplotlib模块删除长期存在的公共API显着 破坏了向后兼容性matplotlib.verbose导致的。

事故原因:

https://github.com/matplotlib/matplotlib/issues/10716

解决办法

安装低版本的matplotlib

pip uninstall matplotlib
pip install matplotlib==2.1.2


本文地址: http://chenxm.cc/article/1261.html
版权声明: 本文为原创文章,版权归  陈新明  所有,欢迎分享本文,转载请保留出处!
上一篇: django orm查询字段不在一个列表中 not in list
下一篇: BeautifulSoup 查找节点的子节点
发表评论

还没有留言,还不快点抢沙发?